> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fastino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Use https://docs.fastino.ai/openapi.json as the source of truth for customer-facing Fastino API routes. Only call operations present in that specification. Do not infer or call undocumented routes. Direct Fastino API integrations use https://api.fastino.ai, /v1 routes, and FASTINO_API_KEY.

# Trainingsjob stoppen

> Stoppen Sie einen laufenden Fastino-Trainingsjob und erhalten Sie vorhandene Checkpoints.

`POST /v1/training-jobs/{job_id}/stop`

Stoppt einen laufenden Job und erhält die vor dem Stopp erstellten Checkpoints.

## Request

<ParamField header="X-API-Key" type="string" required>
  Ihr Fastino-API-Schlüssel.
</ParamField>

<ParamField path="job_id" type="string" required>
  UUID des Trainingsjobs.
</ParamField>

Der JSON-Body ist optional.

<ParamField body="reason" type="string">
  Grund für das Stoppen des Jobs.
</ParamField>

<ParamField body="scores" type="object">
  Numerische Metriken, auf denen die Stopp-Entscheidung basierte.
</ParamField>

<ParamField body="checkpoint" type="string">
  Checkpoint-Pfad oder -Schritt, der dem Stopp zugeordnet ist.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.fastino.ai/v1/training-jobs/YOUR_TRAINING_JOB_ID/stop \
    -H "X-API-Key: $FASTINO_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{"reason": "Validation loss stopped improving"}'
  ```
</RequestExample>

## Response

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "message": "Training job stopped",
    "job_id": "YOUR_TRAINING_JOB_ID",
    "status": "stopped"
  }
  ```
</ResponseExample>

Ein unbekannter Job oder ein Job, der nicht gestoppt werden kann, gibt einen anfragespezifischen `4xx`-Fehler zurück.
